###################################################
### chunk number 1: 
###################################################
ignore <- require(hyperdirichlet,quietly=TRUE)


###################################################
### chunk number 2: calculatePriors
###################################################
g <- function(p){
  out <- uniform(3)
  out[2] <- p
  out[3] <- p
  out[5] <- p
  out[4] <- -p
  out[6] <- -p
  out[7] <- -p
  out
}

h <- function(p){
  out <- uniform(3)
  out[5] <- p
  out[3] <- p
  out[7] <- -2*p
  out
}

plot_quality <- 33

z.prior <- triplot(g(0.5),l=plot_quality)
z.posterior <- triplot(g(0.5) + mult_restricted_obs(3,1:2,c(7,3)),l=plot_quality)

z.prior2 <- triplot(h(0.5),l=plot_quality)
z.posterior2 <- triplot(h(0.5) + mult_restricted_obs(3,1:2,c(7,3)),l=plot_quality)


###################################################
### chunk number 3: plotPriors
###################################################
  layout(matrix(1:4,2,2))
  par(xpd=NA)

f <- function(jj,title, levels = -(0:10)*exp(1)){
  par(mai=c(0,0,0,0)+0.2)
  jj <- jj-max(jj,na.rm=TRUE)
  image(jj, asp=sqrt(3)/2, axes=FALSE,main=title)
  contour(jj, drawlabels=FALSE, add=TRUE, levels = levels)
  segments(0   , 0 , 0.5 , 1 , lwd=2)
  segments(0.5 , 1 , 1   , 0 , lwd=2)
  segments(1   , 0 , 0   , 0 , lwd=2)
  text(0.95,-0.05,"p1")
  text(0.05,-0.05,"p3")
  text(0.4, 0.97 , "p2")
}

f(pmin(z.prior,5), "(a)", levels= -c(2.5 , 3, 10))
f(z.posterior, "(b)")
f(pmin(z.prior2,7), "(c)")
f(z.posterior2, "(d)")


###################################################
### chunk number 4: loadChess
###################################################
data("chess")
(ch <- as.hyperdirichlet(chess))


###################################################
### chunk number 5: calculateChessNC
###################################################
ch <- as.hyperdirichlet(ch , calculate_NC = TRUE)
z.chess <- triplot(ch,l=plot_quality)


###################################################
### chunk number 6: plotChess
###################################################
  par(xpd=NA)
  image(z.chess, asp=sqrt(3)/2, axes=FALSE)
  contour(z.chess, drawlabels=FALSE, add=TRUE)
  segments(0   , 0 , 0.5 , 1 , lwd=4)
  segments(0.5 , 1 , 1   , 0 , lwd=4)
  segments(1   , 0 , 0   , 0 , lwd=4)
  text(0.95,-0.05,"Topalov")
  text(0.05,-0.05,"Karpov")
  text(0.4, 0.97 , "Anand")


###################################################
### chunk number 7: printChessNC
###################################################
ch


###################################################
### chunk number 8: calculate_chess_test
###################################################
jj.qwerty <- dhyperdirichlet(rep(1/3,3), ch)
f <- function(p){dhyperdirichlet(p, ch) > jj.qwerty}
jj.test.ch <- probability(ch,disallowed=f)


###################################################
### chunk number 9: print_chess_test
###################################################
jj.test.ch


###################################################
### chunk number 10: cheat.TgtA
###################################################
T.lt.A <- function(p){p[1] < p[2]}
jjT <- probability(ch , disallowed = T.lt.A)


###################################################
### chunk number 11: printTgtA
###################################################
jjT


###################################################
### chunk number 12: dataIcons
###################################################
data("icons")


###################################################
### chunk number 13: CalculateIconStats
###################################################
ic <- as.hyperdirichlet(icons)
m.null <- max.like(ic)
m.null$MLE <- round(m.null$MLE,5)


###################################################
### chunk number 14: printIconStats
###################################################
m.null


###################################################
### chunk number 15: CalculateIconStatsH1
###################################################
f1 <- function(p){p[1] > 1/6}
m.f1 <- max.like(ic , disallowed=f1)
m.f1$MLE <- round(m.f1$MLE,5)


###################################################
### chunk number 16: printIconStatsH1
###################################################
m.f1


###################################################
### chunk number 17: H1_printer
###################################################
m.null$support - m.f1$support


###################################################
### chunk number 18: CalculateIconStatsH2
###################################################
f2 <- function(p){p[1] > max(p[-1])}
m.f2 <- max.like(ic , disallowed=f2)
m.f2$MLE <- round(m.f2$MLE,5)


###################################################
### chunk number 19: printIconStatsH1
###################################################
m.f2


###################################################
### chunk number 20: H2_printer
###################################################
m.null$support - m.f2$support


###################################################
### chunk number 21: CalculateIconStatsH3
###################################################
f3 <- function(p){sum(p[5:6]) < 1/3}
m.f3 <- max.like(ic , start_p = c(0,0,0,0,1,1), disallowed=f3)
m.f3$MLE <- round(m.f3$MLE, 5)


###################################################
### chunk number 22: printIconStatsH3
###################################################
m.null$support - m.f3$support


###################################################
### chunk number 23: CalculateIconStatsH4
###################################################
f4 <- function(p){min(p[1:4])>max(p[5:6])}
m.f4 <- max.like(ic , start_p = c(0,0,0,0,1,1), disallowed=f4)
m.f4$MLE <- round(m.f4$MLE,5)


###################################################
### chunk number 24: loadVB
###################################################
data("volleyball")


###################################################
### chunk number 25: cheat_Volleyball_H0
###################################################
v.H0 <- max.like(vb_synthetic , start_p = 
                 c(0.30627, 0.17491, 0.10036,
                   0.09195, 0.07228, 0.08449,
                   0.05898, 0.04303, 0.06773)
                 )


###################################################
### chunk number 26: cheat_Volleyball_HA
###################################################
o <- function(p){all(order(p[1:4])==4:1)}
v.HA <- max.like(vb_synthetic, disallowed=o , start_p =
                 c(0.14522, 0.14522, 0.14522,
                   0.14522, 0.14523, 0.08623, 
                   0.06744, 0.05365, 0.06657)
                 )


###################################################
### chunk number 27: showVB
###################################################
round(v.H0$MLE , 4)


###################################################
### chunk number 28: calcVBerror
###################################################
zipf <- function(n){jj <- 1/seq_len(n); return(jj/sum(jj))}
vb.error <- round(zipf(9) - v.H0$MLE , 4)


###################################################
### chunk number 29: printVBerror
###################################################
vb.error


###################################################
### chunk number 30: print_VB_HA
###################################################
v.H0$support - v.HA$support


###################################################
### chunk number 31: print_data_doubles
###################################################
data("doubles")


###################################################
### chunk number 32: CalculateDoublesStats
###################################################
doubles_result <- max.like(doubles)$support - max.like(doubles,zero=5)$support


###################################################
### chunk number 33: printIconStats
###################################################
doubles_result


